Early-pipe: invalidate cache on a failure of required-auth
[exim.git] / test / configure.ac
index 858b8e3..8b4fafa 100644 (file)
@@ -31,7 +31,7 @@ dnl "install" script for some weird reason.
 host_os=`uname -s`
 
 case $CC-$host_os in
-  gcc-*linux* | gcc-*Linux* | gcc-*LINUX* | gcc-FreeBSD)
+  gcc-*linux* | gcc-*Linux* | gcc-*LINUX* | gcc-FreeBSD | gcc-*SunOS* | cc-*SunOS* )
     LOADED=bin/loaded
     LOADED_OPT="-shared -fPIC"
     echo "Using gcc on $host_os: will compile dynamically loaded module"
@@ -57,6 +57,8 @@ AC_SEARCH_LIBS([connect], [socket])
 AC_SEARCH_LIBS([inet_pton], [nsl socket resolv])
 AC_SEARCH_LIBS([inet_ntop], [nsl socket resolv])
 
+AC_CHECK_FUNCS_ONCE(getaddrinfo)
+
 dnl "Export" these variables
 
 AC_SUBST(BIND_8_COMPAT)